commit 493a85b7bd90b5ae0ffe91905a1f0b84c5fa4e8a
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Apr 16 11:44:42 2022 +0200

    Update copyright year and standardize formatting

commit e0ec3c10216154ca6838423df50800ba4a754d7e
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Apr 16 11:42:02 2022 +0200

    Update and sort author list by name

commit 5f2a7bdb767defba7e42bd6fb7b552a766f343d4
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Apr 14 17:21:04 2022 +0200

    panel: Fix regression "intellihide does not hide when leaving slowly"
    
    Regression introduced in 29a637fe2084799601ad1e431ccd7c670162eb92.
    The "leave-notify-event" signal can be emitted when the pointer is on
    the border of the panel.
    
    Fixes #388, related to !7.

commit a4af39f782776a624f3bf3e884cf8e42b307e732
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Apr 13 17:45:43 2022 +0200

    panel: Fix regression "'Span Monitor' has no effect"
    
    Regression introduced in a24b0214c9218ab39581d0e40b1b441913d631f7,
    where the string comparison with "Automatic" has been forgotten at this
    place.
    
    The feature could sometimes work despite this since then, because when
    a new panel is created, the "output-name" property is left empty in
    Xfconf, even though it appears as "Automatic" in the panel preferences
    dialog. But as soon as the preference was changed, the feature was
    broken.
    
    Fixes #405.

commit 502c7e7632f57cf8127d0a21ae4335a8686591ce
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Apr 13 12:44:28 2022 +0200

    panel: Keep a reference on item during drag and drop
    
    This is only useful when drag-and-dropping between different panels, and
    it doesn't seem to be really necessary in normal use. However, running
    the panel in Valgrind shows that the item can be released before
    reaching its target, so we have to keep an extra reference during the
    move.

commit a5555d88e436a64241f60ed54343991d8eb8afb1
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Apr 12 10:08:35 2022 +0200

    Fix `core.UndefinedBinaryOperatorResult` warning from `scan-build`

commit efddc87c13814cdaba2dd38d4df0373d5acf4122
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Apr 12 00:11:34 2022 +0200

    panel: Fix broken drag and drop between panels
    
    A never released regression introduced in
    6b671b0d03a353fae93ff09a769cab27a66018ac.
    
    Fixes #561, related to !46.

commit fd7bf6fe249f2b5bc960563548b48d12b6bf71f8
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Apr 8 09:58:42 2022 +0200

    panel: Disconnect from screen signals when window is destroyed
    
    This could cause use-after-free, reproducible for example by
    enabling/disabling compositing after removing a panel.

commit 87e6cb72a6ef014add7a3c8930b4fd57628f28b9
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Apr 8 08:48:18 2022 +0200

    systray: Do not connect to proxy signal if async method failed
    
    There is a short period of time between the connection to the signal and
    the destruction of the item where the callback can be called while
    `item->properties_proxy` is `NULL`.

commit 1870071c3b69827a32aecddd26c0a2a753eee307
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Mar 15 18:35:43 2021 +0100

    panel: Mitigate a memory leak when removing items
    
    Sometimes, maybe most of the time, panel items are not finalized when
    they are removed from the panel. For lack of being able to find the
    reason why extra references accumulate, this commit eliminates them
    after the item has been removed from the panel and all priority
    operations have been performed, until triggering the destruction of the
    item.
    
    Beyond the beneficial effect on memory, this also avoids potential
    crashes due to the reuse of data supposed to be freed, such as
    typically the dbus path.
    
    See !46 for more details.

commit a7f6d3347746a35a09bb93fdb746eeed3acf2ca7
Author: budRich <robstenklippa@gmail.com>
Date:   Sun Apr 3 15:12:03 2022 +0000

    windowmenu: Emit "deactivate" signal when hiding the menu
    
    This triggers a post-processing callback, which in particular
    deactivates the menu button.
    
    Fixes #22.

commit 98d4cbe27b7af448f0ca250b30055163e05951c7
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Feb 2 18:53:44 2022 +0100

    systray: Fix wrong sanity check

commit 906d97d1e999d5505bb3d89efa5c291da14f7585
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Feb 2 18:46:15 2022 +0100

    systray: Properly initialize systray item

commit ac50261b471274fb82cb1c02e2e266e75abf71b2
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Jan 26 20:16:04 2022 +0100

    systray: Trust the status to update the attention icon
    
    Fixes #392.

commit e2753ddfd0e47301110429c2eaaaa37b2658c180
Author: Anonymous <noreply@xfce.org>
Date:   Sat Mar 12 12:48:20 2022 +0100

    I18n: Update translation ru (100%).
    
    457 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 0f007b28a8c3d59ff227483359a37ac29aa08648
Author: fulalas <rcd99@zipmail.com.br>
Date:   Fri Feb 18 20:19:48 2022 +0100

    Fixed some window buttons not appearing in the panel (Issue #188)

commit fdfcbebe8dcf113f9218bfdcbdbac4ebe9e2760d
Author: Anonymous <noreply@xfce.org>
Date:   Thu Jan 6 00:48:49 2022 +0100

    I18n: Update translation ro (83%).
    
    382 translated messages, 75 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 0746aa342b9078a5fef1a38560debb873939e671
Author: Graeme Gott <graeme@gottcode.org>
Date:   Wed Dec 15 10:34:24 2021 -0500

    launcher: Only activate under mouse (Fixes #519)

commit a872bd650a3930eae7587733fc68f15648b30e3c
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Mar 18 16:57:44 2021 +0100

    libxfce4panel: Review memory management for context menu
    
    There should be no `g_object_unref()` in a "destroy" signal handler,
    particularly when the widget destruction, and therefore the signal
    emission, are triggered by a previous `g_object_unref()`. This is the
    cause of a GObject-CRITICAL here, that appears for example when
    removing a workspace switcher (pager plugin) via its context menu.
    
    More generally, the memory management of custom menu items should be
    simplified:
    * use `g_slist_free_full()` to free the maintained items list;
    * let GTK take care of its part of memory management when the menu is
      destroyed (by one means or another).
    
    Fixes #452, see !46 for more details.

commit 6534235e28dd74a91a5131e0762c297a1f3c515b
Author: Graeme Gott <graeme@gottcode.org>
Date:   Mon Dec 13 13:43:10 2021 -0500

    actions: Block panel autohide (Fixes #431)

commit e96ac6bd665d8824d98afb713f0b7b0d6c8ad178
Author: Graeme Gott <graeme@gottcode.org>
Date:   Sun Dec 12 20:00:48 2021 -0500

    launcher: Clear action menu when destroyed (Fixes #540)

commit b5a41eaf413d7550c29ccdbd420bebe2cc6ff136
Author: Anonymous <noreply@xfce.org>
Date:   Sat Nov 13 00:47:49 2021 +0100

    I18n: Update translation oc (100%).
    
    457 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit db135c77cecd46c5f8d239d742ebaa59ee9d357b
Author: abuyop <abuyop@gmail.com>
Date:   Thu Sep 30 00:47:50 2021 +0200

    I18n: Update translation ms (100%).
    
    457 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit a6d3eed031a1fbdb97c8b4f7109001cdbe1bc264
Author: Vahe Safaryan <vahe.safaryan@realschool.am>
Date:   Wed Aug 18 12:48:19 2021 +0200

    I18n: Update translation hy_AM (93%).
    
    428 translated messages, 29 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit e958ea3b0b5d0af5c224aa50677fa5f87ee9dd4d
Author: Anonymous <noreply@xfce.org>
Date:   Mon Aug 9 00:47:32 2021 +0200

    I18n: Update translation pl (100%).
    
    457 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 18d7550b991f9cf3efc4931baa8420a6f9f5b3d4
Author: Robert Antoni Buj i Gelonch <rbuj@fedoraproject.org>
Date:   Fri Jul 23 15:56:50 2021 +0200

    I18n: Update translation ca (97%).
    
    444 translated messages, 13 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 64b7664fd8644152811a66180a1a74c076842cf3
Author: AlexanderFilev <avfill@outlook.com>
Date:   Tue Jul 20 00:46:29 2021 +0200

    I18n: Update translation ru (100%).
    
    457 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 83c00be285d7809100103044bfae65bdfccb4bdd
Author: Theppitak Karoonboonyanan <theppitak@gmail.com>
Date:   Mon Jun 28 00:45:55 2021 +0200

    I18n: Update translation th (100%).
    
    457 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit ba23d85ea01dac6d9197e393d0afacda00438071
Author: Arnold Marko <arnold.marko@gmail.com>
Date:   Wed May 26 12:47:18 2021 +0200

    I18n: Update translation sl (100%).
    
    457 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 9f781e5d19f8bf3a126475eb4e0e9cf97dd3c8e2
Author: Muadh Abdulaziz <m_abdulaziz@tutamail.com>
Date:   Tue May 25 12:47:02 2021 +0200

    I18n: Update translation ar (89%).
    
    407 translated messages, 50 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 0d89e377a1e11e46f549cc3ae34f21fb4e7ca04d
Author: Toni Estévez <toni.estevez@gmail.com>
Date:   Mon May 24 00:46:25 2021 +0200

    I18n: Update translation es (100%).
    
    457 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 5ea7f63e478886bd9c1966cf07a494b436cba642
Author: Toni Estévez <toni.estevez@gmail.com>
Date:   Sun May 23 12:47:11 2021 +0200

    I18n: Update translation es (100%).
    
    457 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 922f1d79b33bf7224b5097a36842683585782c01
Author: Toni Estévez <toni.estevez@gmail.com>
Date:   Sun May 23 00:46:41 2021 +0200

    I18n: Update translation es (100%).
    
    457 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 5be5cd9960b6726a8751d91e472b08937fb5d1b7
Author: Muadh Abdulaziz <m_abdulaziz@tutamail.com>
Date:   Tue May 18 00:46:18 2021 +0200

    I18n: Update translation ar (88%).
    
    403 translated messages, 54 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit ef0d4f9f8be003f223f4c3fb07ea8132f6f691b6
Author: Toni Estévez <toni.estevez@gmail.com>
Date:   Sat May 15 12:46:26 2021 +0200

    I18n: Update translation es (100%).
    
    457 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 3fa5a78b1ba74111f47c4f36dbee7737b8b3e560
Author: Toni Estévez <toni.estevez@gmail.com>
Date:   Fri May 14 00:46:48 2021 +0200

    I18n: Update translation es (100%).
    
    457 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 533ed1d69776387d262b213b93b8ae8418579fb3
Author: Toni Estévez <toni.estevez@gmail.com>
Date:   Wed May 12 00:46:08 2021 +0200

    I18n: Update translation es (100%).
    
    457 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit e0fb961c65830a6f568474fa1454d6086d14dec9
Author: Toni Estévez <toni.estevez@gmail.com>
Date:   Sun May 9 12:47:02 2021 +0200

    I18n: Update translation es (100%).
    
    457 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 4b356b08cc5799a2b0a884a909ed08ced20d32bb
Author: Arve Eriksson <031299870@telia.com>
Date:   Sun May 9 00:46:22 2021 +0200

    I18n: Update translation sv (100%).
    
    457 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 078d14df8516cc3dcb45661955c76e28342b941a
Author: Toni Estévez <toni.estevez@gmail.com>
Date:   Sun May 9 00:46:22 2021 +0200

    I18n: Update translation es (100%).
    
    457 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 11d8765ffdd5c5b1bf8799e2b87d14de27003e07
Author: Robert Antoni Buj Gelonch <rbuj@fedoraproject.org>
Date:   Fri May 7 12:47:21 2021 +0200

    I18n: Update translation ca (97%).
    
    444 translated messages, 13 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 0885f76f48872e9095ee83a2eb59932fc713c8d7
Author: Toni Estévez <toni.estevez@gmail.com>
Date:   Fri May 7 00:46:25 2021 +0200

    I18n: Update translation es (100%).
    
    457 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 5a0850dd2a2432e87c3c133ca2783e0fcb4103d7
Author: Muadh Abdulaziz <m_abdulaziz@tutamail.com>
Date:   Fri May 7 00:46:25 2021 +0200

    I18n: Update translation ar (87%).
    
    398 translated messages, 59 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit d20319eb5f7b818b4c516e67c16bb6e3201a6643
Author: Simon Steinbeiss <simon.steinbeiss@elfenbeinturm.at>
Date:   Thu May 6 09:55:10 2021 +0200

    Back to development

commit 61b27450485e2407db2ea2b116bb0d6085cb65ce
Author: Simon Steinbeiss <simon.steinbeiss@elfenbeinturm.at>
Date:   Thu May 6 09:52:36 2021 +0200

    Updates for release

commit 1a7ed33f63a4ffcbc75e1c2ec1c8bd504cdda16d
Author: Priit Jõerüüt <transifex@joeruut.com>
Date:   Thu May 6 00:46:17 2021 +0200

    I18n: Update translation et (99%).
    
    455 translated messages, 2 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 8045bf15b4a494775c7b786bbbd074c72f6518c5
Author: Luna Jernberg <bittin@cafe8bitar.se>
Date:   Mon May 3 12:47:21 2021 +0200

    I18n: Update translation sv (98%).
    
    450 translated messages, 7 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit b4285cdd027414246da624aa93a2d6b3f23cd172
Author: Toni Estévez <toni.estevez@gmail.com>
Date:   Sun Apr 25 12:56:41 2021 +0200

    I18n: Update translation es (100%).
    
    457 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 6aa8c668acd383f00f210c74339404bd02cc80aa
Author: Priit Jõerüüt <transifex@joeruut.com>
Date:   Sat Apr 24 00:54:59 2021 +0200

    I18n: Update translation et (98%).
    
    452 translated messages, 5 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 59288740504a45ec68836e6306fd2b8a4948a313
Author: Toni Estévez <toni.estevez@gmail.com>
Date:   Fri Apr 23 00:55:06 2021 +0200

    I18n: Update translation es (100%).
    
    457 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 15815be6baf900ce45b4dbf01f7df1095032a5dd
Author: heskjestad <cato@heskjestad.xyz>
Date:   Thu Apr 22 10:14:16 2021 +0200

    I18n: Update translation nb (100%).
    
    457 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 344bd3c5f8ec1c3dd2462d567bebc0d87f8a2b77
Author: Anonymous <noreply@xfce.org>
Date:   Thu Apr 22 10:14:14 2021 +0200

    I18n: Update translation it (100%).
    
    457 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit ea477d52c08df76bdcff2a67df05dad76e5e5418
Author: Anonymous <noreply@xfce.org>
Date:   Wed Apr 21 00:46:17 2021 +0200

    I18n: Update translation bg (100%).
    
    457 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 3f73910280b2df84f778fb9f257901c480ea1e41
Author: Luna Jernberg <bittin@cafe8bitar.se>
Date:   Sat Apr 17 12:46:59 2021 +0200

    I18n: Update translation sv (98%).
    
    448 translated messages, 9 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 8a5cf505507b1a9b42c7dc3092ef7d56293cbd3c
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Mar 28 19:41:34 2021 +0200

    launcher: Check for menu item initialization
    
    A necessary complement to 3d0f972069192d45a472d3b04b2255bd3fbd5562 in
    certain situations.

commit 587a113c5bda1ea98f7fb895f440390af391a843
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Mar 17 18:51:47 2021 +0100

    systray: Fix GObject-CRITICAL
    
    The SnItem may have already been released when this operation is
    performed asynchronously, as in `sn_item_get_all_properties_result()`.

commit cd01b0ee1b24b51fc957e41a9338b74e208c4899
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Mar 16 19:27:07 2021 +0100

    systray: Fix libsystray-CRITICAL
    
    Connect to the "g-signal" signal of GDBusProxy after its properties are
    set, so that calling `sn_item_invalidate()` always makes sense, and the
    timeout workaround should no longer be necessary.

commit 14a78c904d480e192b850fd54497fb4ebaab018b
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Mar 13 22:26:27 2021 +0100

    panel: Fix xfce4-panel-CRITICAL
    
    This is triggered for example by playing with window drag and drop in
    the taskbar: see !43 for more details.

commit dc2ec8e5783bd9ba4404bd20921e224fd27f6c09
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Mar 13 22:23:31 2021 +0100

    tasklist: Fix Gtk-CRITICAL
    
    This is triggered for example by playing with the prefs dialog autohide
    combo: see !43 for more details.

commit cbb32044bcc012b375bde9722727b128e53f5809
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Mar 13 22:09:05 2021 +0100

    systray: Fix Gtk-CRITICAL at startup/shutdown

commit 158bca5766c6df8f2a5f4a8b389572e2bfed7ca9
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Mar 13 22:04:36 2021 +0100

    launcher: Fix garcon-CRITICAL at startup

commit 0936c4f092d90555d3a11c1b0f2eb7d31a8eb999
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Mar 13 22:00:01 2021 +0100

    Silent `-Wcast-align` from Clang

commit 6858c65a118f0b32e74ea9a5ff8eca774349c2fb
Author: Steven Xu <stevenxxiu@gmail.com>
Date:   Thu Apr 1 12:47:04 2021 +0200

    I18n: Update translation en_AU (87%).
    
    401 translated messages, 56 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 43c25aebde199ec60423ebd1fd95eee138a43515
Author: Yousuf Philips <philipz85@hotmail.com>
Date:   Tue Mar 23 08:39:49 2021 +0000

    panel: Change width of default panel-2 to 1% (Fixes #454)

commit 13cc166db22ab097ec5c1fd3bf18c3f035debfbe
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Mar 17 20:50:31 2021 +0100

    panel: Fix xfce4-panel-CRITICAL when already running
    
    `panel_dbus_service_is_exported()` is not the right test to know if an
    instance is already running. Instead, let's follow the documentation of
    `g_bus_own_name()`:
    * if `panel_dbus_name_lost()` is called and `connection == NULL`, there
      is a dbus issue;
    * if `panel_dbus_name_lost()` is called and `connection != NULL`, the
      name can't be acquired, which means that there is an already running
      instance if `G_BUS_NAME_OWNER_FLAGS_ALLOW_REPLACEMENT` is not set
      (which is currently the case for xfce4-panel);
    * `application != NULL` if and only if `panel_dbus_name_acquired()` is
      called, if and only if `panel_dbus_name_lost()` is not called.

commit d434205831e01526a6cb39978073d87fb06192fb
Author: Kjell Cato Heskjestad <cato@heskjestad.xyz>
Date:   Sun Mar 21 12:47:17 2021 +0100

    I18n: Update translation nb (100%).
    
    457 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit fa1fc86a5baaac082f7091e9b0d981437038904b
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Mar 19 17:50:49 2021 +0100

    libxfce4panel: Do not destroy context menu if popped up
    
    Since a method allowing to request the context menu destruction is
    exposed in the API, care should be taken to ensure that such a request
    does not occur when the menu is popped up in response to a click event.
    
    This simple patch just ignore the request for destruction when the menu
    is shown.
    
    Fixes #442, see !45 for more details.

commit f81cd61f015f928684b2f39943f15667f62c7606
Author: Omer I.S <omeritzicschwartz@gmail.com>
Date:   Fri Mar 5 12:47:59 2021 +0100

    I18n: Update translation he (100%).
    
    457 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit e5b3e9dc924a42e6a2fbbd412af7369515a3ae9d
Author: Hugo Carvalho <hugokarvalho@hotmail.com>
Date:   Mon Mar 1 00:46:19 2021 +0100

    I18n: Update translation pt (100%).
    
    457 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit ddab855906e85973a9a6bba39b060d4c52e420cb
Author: Anonymous <noreply@xfce.org>
Date:   Fri Feb 26 00:46:35 2021 +0100

    I18n: Update translation oc (84%).
    
    386 translated messages, 71 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 7735268281f1fff475bf3fce5dd37c80b1193bd3
Author: Simon Steinbeiss <simon.steinbeiss@elfenbeinturm.at>
Date:   Fri Feb 26 00:03:13 2021 +0100

    Back to development

commit ed6a9d3bd7e407ae90d98bfd464b7b1bf9a5a0b8
Author: Simon Steinbeiss <simon.steinbeiss@elfenbeinturm.at>
Date:   Mon Jan 25 11:40:26 2021 +0100

    Updates for release

commit b0f736b3f88db0d100ea4953bcab9d2a05534293
Author: Simon Steinbeiss <simon.steinbeiss@elfenbeinturm.at>
Date:   Tue Feb 2 17:03:21 2021 +0100

    Add icons to help and about items in panel menu
    
    Fixes #421

commit 9dc3b66790b961142d7d2f60992a01607a8f2ef0
Author: Romain Bouvier <skunnyk@alteroot.org>
Date:   Sun Jan 31 15:28:15 2021 +0100

    Revamp the documentation to modernize and uniformize accross components

commit ddd397bc79cb5078b3bfa03f339c019d4ab9ea94
Author: ზურაბი დავითაშვილი <zdavitashvili0@gmail.com>
Date:   Thu Feb 25 12:48:19 2021 +0100

    I18n: Update translation ka (60%).
    
    278 translated messages, 179 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 0155d5a736fe2e6d286a3db96abb705c6164de6e
Author: Andrij Mizyk <andmizyk@gmail.com>
Date:   Thu Feb 18 00:46:37 2021 +0100

    I18n: Update translation uk (100%).
    
    457 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit e1edb1451b7b2dbeee59e8efafbb1ec8b5563847
Author: Ivica  Kolić <ikoli@yahoo.com>
Date:   Mon Feb 15 00:45:56 2021 +0100

    I18n: Update translation hr (94%).
    
    432 translated messages, 25 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit b3d9c31158d55e54dc274cebb57ff57219be717c
Author: Priit Jõerüüt <transifex@joeruut.com>
Date:   Tue Feb 9 12:48:59 2021 +0100

    I18n: Update translation et (98%).
    
    452 translated messages, 5 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 388847101b9f1b062280dde956a38eec79a8cfe6
Author: Андрій Мізик <andmizyk@gmail.com>
Date:   Thu Feb 4 00:46:16 2021 +0100

    I18n: Update translation uk (95%).
    
    438 translated messages, 19 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 40194004422da353b3d4ec38d81fcba8c02b21cb
Author: Simon Steinbeiss <simon.steinbeiss@elfenbeinturm.at>
Date:   Wed Jan 27 08:35:07 2021 +0100

    Back to development

commit 843988bc2be98b30f5eff881c8de970b7db92159
Author: Simon Steinbeiss <simon.steinbeiss@elfenbeinturm.at>
Date:   Wed Jan 27 08:33:19 2021 +0100

    Updates for release

commit ecf10fad02eb7bed4f7929c07d96478c7c1cadd0
Author: Simon Steinbeiss <simon.steinbeiss@elfenbeinturm.at>
Date:   Mon Jan 25 11:40:26 2021 +0100

    pager: Use gobject bindings (Fixes #376)
    
    In order to set the correct visibility on settings we use GObject
    Bindings over the previous code in set_properties which caused a
    segfault.

commit 7e4a0b9a5e0a77d30a4763dac2f1973026ca976b
Author: Pablo Mazzini <pmazzini@gmail.com>
Date:   Tue Dec 29 15:18:33 2020 +0000

    launcher: avoid double fork

commit bf6e67e7ff09e6fa92f7a43da242c48baf4b75a9
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Jan 24 18:58:08 2021 +0100

    Fix compilation warnings

commit d091357abdaa4a0c7d16c6b18580ee7c11895d90
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Jan 24 14:04:33 2021 +0100

    Update `.gitignore`

commit 3921ceefee76a4f69d0ae3111b4dd3e93e848148
Author: Frédéric Brière <fbriere@fbriere.net>
Date:   Sat Jan 23 14:51:45 2021 -0500

    Display tooltip title of statusnotifier items as plaintext
    
    According to the StatusNotifierItem specification¹², only the tooltip
    *subtitle* may contain markup, not the title.  The latter must therefore
    either be escaped before gtk_tooltip_set_markup(), or set with
    gtk_tooltip_set_text() instead.
    
    Note that KDE Plasma also made this modification³, and while this did
    break some applications⁴ (many of which have been fixed by now), the
    final decision was to stick to the specification.  Consequently, systray
    should also be able to display a title such as "<Rock&Roll>" without
    choking.
    
     ¹ https://www.freedesktop.org/wiki/Specifications/StatusNotifierItem/StatusNotifierItem/
     ² https://www.freedesktop.org/wiki/Specifications/StatusNotifierItem/Markup/
     ³ https://invent.kde.org/frameworks/plasma-framework/-/merge_requests/6
     ⁴ https://bugs.kde.org/show_bug.cgi?id=422616

commit 683f888be7106f0de5e243ab6b9a1a33c7dd52d3
Author: Simon Steinbeiss <simon.steinbeiss@elfenbeinturm.at>
Date:   Mon Jan 11 16:28:20 2021 +0100

    pager: Switch to new workspaces icon name

commit 5fb0082044b47a03b94aa74642fe8203e38ed946
Author: Simon Steinbeiss <simon.steinbeiss@elfenbeinturm.at>
Date:   Sat Jan 2 23:27:06 2021 +0100

    statustray: Prevent crash when parsing properties (Fixes #379)

commit 1d82fe58d8e7953c69a5dce3d26c1379c2eea96f
Author: John C. Allwein <git@johnnyapol.me>
Date:   Thu Dec 24 18:36:57 2020 -0500

    windowmenu: fix use-after-free in window_menu_plugin_window_item_new
    
    Both `utf8` and `decorated` can be aliased to `name`, which is needed later in the code.
    Detected via clang static analysis (scan-build).

commit 98e9990be1f2ecece1bcb65c5e6869da608572d0
Author: Jan Ziak <0xe2.0x9a.0x9b@gmail.com>
Date:   Wed Jan 27 00:46:23 2021 +0100

    I18n: Update translation sk (100%).
    
    457 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit c5e58a3c99c7fa8be8ba5155ef675741c284cb42
Author: Anonymous <noreply@xfce.org>
Date:   Tue Jan 26 00:46:27 2021 +0100

    I18n: Update translation fi (93%).
    
    429 translated messages, 28 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 6cea00a2ee766f591d418ed26dd39b43abf933ea
Author: Butterfly <gokhanlnx@gmail.com>
Date:   Wed Jan 20 12:46:47 2021 +0100

    I18n: Update translation tr (100%).
    
    457 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit dbfa9fd22c7c4a420586d3fd7f2041f6fe673bb9
Author: Xfce Bot <transifex@xfce.org>
Date:   Tue Jan 19 10:09:57 2021 +0100

    I18n: Update translation zh_TW (100%).
    
    457 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 1568ddbe752d9d1ba0475823c7923edcf289fe81
Author: Xfce Bot <transifex@xfce.org>
Date:   Tue Jan 19 10:09:56 2021 +0100

    I18n: Update translation zh_HK (90%).
    
    412 translated messages, 45 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit c650e16edb4c35d9665e4af2b8ae35a13a02ad6a
Author: Xfce Bot <transifex@xfce.org>
Date:   Tue Jan 19 10:09:56 2021 +0100

    I18n: Update translation zh_CN (100%).
    
    457 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit edac85ab941a899e1564ba425171e0ab09209d24
Author: Xfce Bot <transifex@xfce.org>
Date:   Tue Jan 19 10:09:56 2021 +0100

    I18n: Update translation vi (66%).
    
    304 translated messages, 153 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 8a8826a457d3c84463871c2746b4559de333757d
Author: Xfce Bot <transifex@xfce.org>
Date:   Tue Jan 19 10:09:55 2021 +0100

    I18n: Update translation uk (90%).
    
    414 translated messages, 43 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 570c3aa7efa89eb43fc126b62791ec74928272ab
Author: Xfce Bot <transifex@xfce.org>
Date:   Tue Jan 19 10:09:54 2021 +0100

    I18n: Update translation th (89%).
    
    408 translated messages, 49 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit ac5bc2b23ebbf7267fb00e09379050d0133fcd16
Author: Luna Jernberg <bittin@cafe8bitar.se>
Date:   Tue Jan 19 10:09:54 2021 +0100

    I18n: Update translation sv (97%).
    
    445 translated messages, 12 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit d7269bf33f4e876a423e78a1a67f7044b0a00eb8
Author: Xfce Bot <transifex@xfce.org>
Date:   Tue Jan 19 10:09:54 2021 +0100

    I18n: Update translation sr (100%).
    
    457 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 5b8bc956732202cb6bf06a465a6a601034d08c38
Author: Xfce Bot <transifex@xfce.org>
Date:   Tue Jan 19 10:09:54 2021 +0100

    I18n: Update translation sq (99%).
    
    456 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 5f6779471700c6ef879f194ad43398646444b927
Author: Xfce Bot <transifex@xfce.org>
Date:   Tue Jan 19 10:09:54 2021 +0100

    I18n: Update translation sl (100%).
    
    457 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 52a7e1ce70684326994c6a698cad08f8310828be
Author: Xfce Bot <transifex@xfce.org>
Date:   Tue Jan 19 10:09:54 2021 +0100

    I18n: Update translation sk (99%).
    
    455 translated messages, 2 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 24128a60869c5220ab0a8660c3e591ffb737fb25
Author: Xfce Bot <transifex@xfce.org>
Date:   Tue Jan 19 10:09:54 2021 +0100

    I18n: Update translation si (59%).
    
    273 translated messages, 184 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit feefc526402f04a50da883d084dcc4edb570857b
Author: Xfce Bot <transifex@xfce.org>
Date:   Tue Jan 19 10:09:54 2021 +0100

    I18n: Update translation ru (98%).
    
    450 translated messages, 7 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit e8ae91367d01c6e6efe8a70f388e0170f4cf5ee9
Author: Xfce Bot <transifex@xfce.org>
